test: tagMENU struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagMENU Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

PROCDESKHEAD | head
DWORD | fFlags
int | iItem
UINT | cAlloced
UINT | cItems
DWORD | cxMenu
DWORD | cyMenu
DWORD | cxTextAlign
tagWND * | spwndNotify
PITEM | rgItems
DWORD | dwContextHelpId
DWORD | cyMax
DWORD | dwMenuData
HBRUSH | hbrBack
int | iTop
int | iMaxTop
DWORD | dwArrowsOn:2
PWND | spwndNotify
PMENULIST | pParentMenus
KERNEL_ULONG_PTR | dwMenuData
KHBRUSH | hbrBack

## Member Data Documentation

UINT tagMENU::cAlloced

| Definition at line 2790 of file inc/user.h. Referenced by xxxInsertMenuItem().

UINT tagMENU::cItems

| Definition at line 2791 of file inc/user.h. Referenced by _DestroyMenu(), _GetMenuDefaultItem(), _SetMenuDefaultItem(), GetMenuDepth(), GetMenuItemCount(), GetMenuItemID(), ItemContainingSubMenu(), LockDesktopMenu(), MakeMenuRtoL(), MBC_RightJustifyMenu(), MenuRecalc(), MNCheckScroll(), MNFindItemInColumn(), MNFindNextValidItem(), MNGetpItem(), MNItemHitTest(), MNLookUpItem(), MNPositionSysMenu(), MNRecalcTabStrings(), MNSetTimerToOpenHierarchy(), NtUserGetMenuIndex(), SetMenuItemInfoStruct(), UnlockNotifyWindow(), xxxDrawMenuBarUnderlines(), xxxGetInitMenuParam(), xxxGetMenuBarInfo(), xxxGetMenuItemRect(), xxxHotTrackMenu(), xxxInsertMenuItem(), xxxMenuDraw(), xxxMenuWindowProc(), xxxMNButtonUp(), xxxMNChar(), xxxMNCompute(), xxxMNDestroyHandler(), xxxMNDoubleClick(), xxxMNFindChar(), xxxMNInvertItem(), xxxMNOpenHierarchy(), xxxMNSelectItem(), xxxMNSetTop(), xxxRealDrawMenuItem(), xxxSendMenuSelect(), and xxxSetMenuInfo().

DWORD tagMENU::cxMenu

| Definition at line 2793 of file inc/user.h. Referenced by MBC_RightJustifyMenu(), MenuRecalc(), MNCheckScroll(), xxxGetMenuBarInfo(), xxxMenuBarDraw(), xxxMenuWindowProc(), xxxMNCompute(), xxxMNRecomputeBarIfNeeded(), xxxMNUpdateShownMenu(), xxxSetLPITEMInfo(), and xxxSetMenuInfo().

DWORD tagMENU::cxTextAlign

| Definition at line 2795 of file inc/user.h. Referenced by xxxMNCompute(), xxxMNItemSize(), and xxxRealDrawMenuItem().

DWORD tagMENU::cyMax

| Definition at line 2800 of file inc/user.h. Referenced by GetMenuInfo(), MNCheckScroll(), xxxMNSetTop(), and xxxSetMenuInfo().

DWORD tagMENU::cyMenu

| Definition at line 2794 of file inc/user.h. Referenced by MenuRecalc(), MNCheckScroll(), MNItemHitTest(), xxxDrawMenuBarTemp(), xxxGetMenuBarInfo(), xxxMenuBarDraw(), xxxMenuDraw(), xxxMNCompute(), xxxMNInvertItem(), xxxMNRecomputeBarIfNeeded(), xxxMNSetTop(), xxxMNUpdateShownMenu(), xxxSetLPITEMInfo(), and xxxSetMenuInfo().

DWORD tagMENU::dwArrowsOn

| Definition at line 2806 of file inc/user.h. Referenced by MNCheckScroll(), MNDrawArrow(), MNEraseBackground(), MNItemHitTest(), xxxMenuDraw(), xxxMenuWindowProc(), xxxMNInvertItem(), xxxMNPositionHierarchy(), xxxMNSetTop(), xxxMNUpdateShownMenu(), and xxxSetMenuInfo().

DWORD tagMENU::dwContextHelpId

| Definition at line 2799 of file inc/user.h. Referenced by _SetMenuContextHelpId(), GetMenuContextHelpId(), GetMenuInfo(), GetMenuInheritedContextHelpId(), and xxxSetMenuInfo().

KERNEL_ULONG_PTR tagMENU::dwMenuData

| Definition at line 2801 of file inc/user.h.

DWORD tagMENU::dwMenuData

| Definition at line 2650 of file client/nt6/user.h. Referenced by GetMenuInfo(), and xxxSetMenuInfo().

DWORD tagMENU::fFlags

| Definition at line 2787 of file inc/user.h. Referenced by GetMenuInfo(), InternalCreateMenu(), xxxMNCompute(), and xxxSetMenuInfo().

KHBRUSH tagMENU::hbrBack

| Definition at line 2803 of file inc/user.h.

HBRUSH tagMENU::hbrBack

| Definition at line 2652 of file client/nt6/user.h. Referenced by GetMenuInfo(), MNDrawArrow(), MNDrawFullNC(), MNEraseBackground(), xxxDrawMenuBarUnderlines(), xxxDrawMenuItem(), xxxMenuBarDraw(), xxxMenuDraw(), xxxMenuWindowProc(), xxxMNInvertItem(), xxxMNSetTop(), and xxxSetMenuInfo().

PROCDESKHEAD tagMENU::head

| Definition at line 2786 of file inc/user.h. Referenced by _DestroyMenu(), FreeItemString(), UnlockSubMenu(), ValidateHmenu(), xxxInsertMenuItem(), and xxxSetLPITEMInfo().

int tagMENU::iItem

| Definition at line 2788 of file inc/user.h.

int tagMENU::iMaxTop

| Definition at line 2805 of file inc/user.h. Referenced by MNCheckScroll(), and xxxMNSetTop().

int tagMENU::iTop

| Definition at line 2804 of file inc/user.h. Referenced by MNCheckScroll(), MNItemHitTest(), xxxMenuDraw(), xxxMNDoScroll(), xxxMNInvertItem(), and xxxMNSetTop().

PMENULIST tagMENU::pParentMenus

| Definition at line 2798 of file inc/user.h. Referenced by GetMenuAncestors(), and xxxSetLPITEMInfo().

PITEM tagMENU::rgItems

| Definition at line 2797 of file inc/user.h. Referenced by _DestroyMenu(), _SetMenuDefaultItem(), FindNCHitEx(), GetMenuDepth(), ItemContainingSubMenu(), LockDesktopMenu(), MakeMenuRtoL(), MBC_RightJustifyMenu(), MenuRecalc(), MNCheckScroll(), MNFindItemInColumn(), MNFindNextValidItem(), MNGetpItem(), MNItemHitTest(), MNPositionSysMenu(), MNRecalcTabStrings(), MNSetTimerToOpenHierarchy(), NtUserGetMenuIndex(), UnlockNotifyWindow(), xxxDrawMenuBarUnderlines(), xxxGetMenuBarInfo(), xxxGetMenuItemRect(), xxxHotTrackMenu(), xxxInsertMenuItem(), xxxMenuDraw(), xxxMNButtonUp(), xxxMNChar(), xxxMNCompute(), xxxMNDestroyHandler(), xxxMNDoubleClick(), xxxMNFindChar(), xxxMNInvertItem(), xxxMNOpenHierarchy(), xxxMNSelectItem(), xxxMNSetTop(), xxxRealDrawMenuItem(), xxxSendMenuSelect(), and xxxSetMenuInfo().

PWND tagMENU::spwndNotify

| Definition at line 2796 of file inc/user.h.

struct tagWND* tagMENU::spwndNotify

| Definition at line 2646 of file client/nt6/user.h. Referenced by _DestroyMenu(), LockPopupMenu(), LockWndMenu(), MBC_RightJustifyMenu(), MNGetPopupFromMenu(), MNPositionSysMenu(), SetupFakeMDIAppStuff(), UnlockNotifyWindow(), UnlockPopupMenuWindow(), xxxDrawMenuBarTemp(), xxxEnableMenuItem(), xxxGetSystemMenu(), xxxMenuBarDraw(), xxxMenuWindowProc(), xxxMNCompute(), xxxMNRecomputeBarIfNeeded(), xxxMNSwitchToAlternateMenu(), and xxxSendMenuDrawItemMessage().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h